package Jbroker;

import java.io.*;
import java.sql.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * Money transfer dialog
 * @version Java Fast Broker 1.0
 * @author Valentin Zaharescu & Bogdan Stanca<br>
 * Copyright (c)2000 all rights reserved<br>
 */
public class JbUeberweisungDialog extends JFrame{

    private int kontoID;
    private double kontoStandNum;
    private JLabel kontoStand;
    private JTextField ueberweisung;
    private JButton okButton;
    private JButton cancelButton;

/**
 * Constructor
 */
    public JbUeberweisungDialog(int kontoID) {
	super("Ueberweisung aufs eigene Konto");

	this.kontoID = kontoID;

	getContentPane().setLayout(new GridLayout(3, 2));
	getContentPane().add(new JLabel("Kontostand (EUR / DM)  "));
	getContentPane().add(kontoStand = new JLabel("0"));
	getContentPane().add(new JLabel("Ueberweisen aufs Konto (EUR)   "));
	getContentPane().add(ueberweisung = new JTextField(5));
	ueberweisung.setText("1000");
	ueberweisung.selectAll();

	kontoStandNum = JbSQL.getKundeKontoStand(kontoID);
	kontoStand.setText(JbDefinition.betragEUR_DM(new Double(kontoStandNum).toString()));

	getContentPane().add(okButton = new JButton("Na gut"));
	okButton.addActionListener(new ActionListener() {
    		public void actionPerformed(ActionEvent e){
		    doOk();
    		}});

	getContentPane().add(cancelButton = new JButton("Spter"));
	cancelButton.addActionListener(new ActionListener() {
    		public void actionPerformed(ActionEvent e){
		    setVisible(false);
		    dispose();
    		}});
    }

/**
 * Ok button handler
 */
    private void doOk() {
	try {
	    double betrag = Double.parseDouble(ueberweisung.getText().trim())+kontoStandNum;
	    JbSQL.query("update KKONTO set Betrag=\'"+betrag+"\' where kontoID=\'"+kontoID+"\'");
	} catch(Exception e) {
	    JOptionPane.showMessageDialog(null,
					  "Bitte geben Sie eine Nummer ein!",
					  "berweisung", JOptionPane.ERROR_MESSAGE);
	    return;
	}
	setVisible(false);
	dispose();
    }
}
