package Jbroker;

import java.sql.*; 
import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.io.*;

/**
 * Main application class (please run this in order to start the project)
 * @version Java Fast Broker 1.0
 * @author Valentin Zaharescu & Bogdan Stanca<br>
 * Copyright (c)2000 all rights reserved<br>
 */
public class JbMain extends JFrame{

/**
 * Constructor
 */
    public JbMain(int wkn, String wknName){
	super(wknName);
	JbChart dlg = new JbChart(wkn);
	getContentPane().add(dlg);
	pack();
    }

/**
 * The main subroutine
 */
    public static void main(String[] argv) {
	// open the connection
	JbSQL.open();

	JbUserDialog dlg = new JbUserDialog();
	dlg.pack();
	dlg.setVisible(true);
    }
}
